Skip to main content
POST
/
commerce
/
channels
Error
A valid request URL is required to generate request examples
{
  "auditInfo": {
    "createBy": "<string>",
    "createDate": "2023-11-07T05:31:56Z",
    "updateBy": "<string>",
    "updateDate": "2023-11-07T05:31:56Z"
  },
  "code": "<string>",
  "countryCode": "<string>",
  "groupCode": "<string>",
  "name": "<string>",
  "region": "<string>",
  "siteIds": [
    123
  ],
  "tenantId": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Query Parameters

responseFields
string

limits which fields are returned in the response body

Body

application/json

All properties of the channel to place.

Channel used to group sites for commerce purposes.

auditInfo
object
code
string | null

Code to uniquely identify the channel.

countryCode
string | null

Country code of the channel.

groupCode
string | null

Code to uniquely identify the channel group, if any that contains this channel.

name
string | null

Friendly name of the channel.

region
string | null

Region of the channel.

siteIds
integer<int32>[] | null

A list of site Id's that this channel contains.

tenantId
integer<int32>

Tenant that owns the channel.

Response

Success

Channel used to group sites for commerce purposes.

auditInfo
object
code
string | null

Code to uniquely identify the channel.

countryCode
string | null

Country code of the channel.

groupCode
string | null

Code to uniquely identify the channel group, if any that contains this channel.

name
string | null

Friendly name of the channel.

region
string | null

Region of the channel.

siteIds
integer<int32>[] | null

A list of site Id's that this channel contains.

tenantId
integer<int32>

Tenant that owns the channel.